package com.hotent.uc.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 常用联系人-分组下的用户信息
 *
 * @author 欧阳高龙
 * @company 广州宏天软件股份有限公司
 * @since 2022/4/13 16:37
 */
@ApiModel(description="常用联系人-分组下的用户信息 ")
public class UcGroupUserVo {

    /**
     * 用户ID
     */
    @ApiModelProperty(name="id",notes="用户ID")
    private String id;
    /**
     * 用户名称
     */
    @ApiModelProperty(name="fullname",notes="用户名称")
    private String fullname;
    /**
     * 用户账号
     */
    @ApiModelProperty(name="account",notes="用户账号")
    private String account;
    /**
     * 所属组织名称
     */
    @ApiModelProperty(name="orgName",notes="所属组织名称")
    private String orgName;
    /**
     * 所属组织ID
     */
    @ApiModelProperty(name="orgId",notes="所属组织ID")
    private String orgId;
    /**
     * 所属部门名称
     */
    @ApiModelProperty(name="pathName",notes="所属部门名称")
    private String pathName;
    /**
     * 维度ID
     */
    @ApiModelProperty(name="demId",notes="维度ID")
    private String demId;
    /**
     * 岗位名称
     */
    @ApiModelProperty(name="postName",notes="岗位名称")
    private String postName;
    /**
     * 岗位ID
     */
    @ApiModelProperty(name="postId",notes="岗位ID")
    private String postId;

    public String getId() {
        return id;
    }

    public String getAccount() {
        return account;
    }

    public String getDemId() {
        return demId;
    }

    public String getFullname() {
        return fullname;
    }

    public String getOrgId() {
        return orgId;
    }

    public String getOrgName() {
        return orgName;
    }

    public String getPathName() {
        return pathName;
    }

    public String getPostId() {
        return postId;
    }

    public String getPostName() {
        return postName;
    }

    public void setId(String id) {
        this.id = id;
    }

    public void setAccount(String account) {
        this.account = account;
    }

    public void setDemId(String demId) {
        this.demId = demId;
    }

    public void setFullname(String fullname) {
        this.fullname = fullname;
    }

    public void setOrgId(String orgId) {
        this.orgId = orgId;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public void setPathName(String pathName) {
        this.pathName = pathName;
    }

    public void setPostId(String postId) {
        this.postId = postId;
    }

    public void setPostName(String postName) {
        this.postName = postName;
    }
}
